
/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Description: Child theme for Twenty Twenty-Five
Author: Your Name
Template: twentytwentyfive
Version: 1.0
Text Domain: twentytwentyfive-child
*/

body.admin-bar #masthead .elementor-element-0b15151 {
    top: 32px;
}

@media screen and (max-width: 782px) {
    body.admin-bar #masthead .elementor-element-0b15151 {
        top: 46px;
    }
}

.elementor-26 .elementor-element.elementor-element-e8efcf1 {

    display: none;
}

.inter-class {
  font-family: "Inter", sans-serif;

}

.playfair-class {
 font-family: "Playfair Display", serif;

}

    .elementor-element-97adeb2 {
      position: relative;
      cursor: pointer;
    }
	
	.elementor-element-860b752{
      position: relative;
      cursor: pointer;
    }
	
	.elementor-element-86f4ecf{
      position: relative;
      cursor: pointer;
    }
	
	.elementor-element-6ccc202{
      position: relative;
      cursor: pointer;
    }

    .our-employees-inner {
      position: absolute;
      display: none;
  
    }

    .our-employees-inner.show {
      display: block;
    }
	
/* Default opacity */
.elementor-1393 .elementor-element.elementor-element-cd05110 .elementor-heading-title,
.elementor-1393 .elementor-element.elementor-element-6ec9bda .elementor-heading-title,
.elementor-1393 .elementor-element.elementor-element-cc7eab4 .elementor-heading-title,
.elementor-1393 .elementor-element.elementor-element-d1dff55 .elementor-heading-title {
    opacity: 0.5;
    transition: opacity 0.3s ease;
}

/* Change to opacity 1 after role click */
.elementor-1393:has(.role-selection.active)
.elementor-element.elementor-element-cd05110 .elementor-heading-title,
.elementor-1393:has(.role-selection.active)
.elementor-element.elementor-element-6ec9bda .elementor-heading-title {
    opacity: 1;
	font-weight:700;
}

.elementor-1393:has(.need-selection.active)
.elementor-element.elementor-element-cc7eab4 .elementor-heading-title,
.elementor-1393:has(.need-selection.active)
.elementor-element.elementor-element-d1dff55 .elementor-heading-title {
    opacity: 1;
	font-weight:700;
}



.elementor-widget-image img {   
 display: inline-block;
 vertical-align: middle;
}

/*contact hover*/
.role-selection,
.need-selection {
  cursor: pointer;
  transition: background-color 0.3s ease, border-color 0.3s ease;
}


.role-selection .elementor-heading-title,
.need-selection .elementor-heading-title {
  color: #0e6b31;
  transition: color 0.3s ease;
}

.role-selection:hover,
.need-selection:hover {
  background-color: #0f6a2a;
  border-color: #0f6a2a;
}

.role-selection:hover .elementor-heading-title,
.need-selection:hover .elementor-heading-title {
  color: #ffffff !important;
}

.role-selection.active,
.need-selection.active {
  background-color: #0f6a2a;
  border-color: #0f6a2a;
}

.role-selection.active .elementor-heading-title,
.need-selection.active .elementor-heading-title {
  color: #ffffff !important;
}

.role-selection.active:hover .elementor-heading-title,
.need-selection.active:hover .elementor-heading-title {
  color: #ffffff !important;
}



.e-grid > .role-selection,
.e-grid > .need-selection {
  min-height: 120px !important; 

}



/* header base */


#menu-1-0ebf33d .current-menu-item {
border-bottom: solid #F6B800;
border-width: 3px;
}

.elementor-29 .elementor-element.elementor-element-0ebf33d .menu-item a.hfe-menu-item {
  
    padding-top: 10px;
    padding-bottom: 20px;
    transition: all 0.6s ease-in-out;
}

body.scrolled .elementor-29 .elementor-element.elementor-element-0ebf33d .menu-item a.hfe-menu-item {
   padding-top: 5px;
    padding-bottom: 16px;
	transition: all 0.6s ease-in-out;
}


.e-con-full.sticky-header {
  background: transparent !important;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%; 
  z-index: 1000; 
}

body.elementor-page-26 .e-con-full.sticky-header::before {
    content: "";
  position: absolute;
  inset: 0;
  background: rgba(58, 40, 33, 0.8); transition: background 0.6s ease-in-out;
  z-index: -1;
}

.e-con-full.sticky-header::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #fff; transition: background 0.6s ease-in-out;
  z-index: -1;
}


.elementor-29 .elementor-element.elementor-element-123044a {
  transition: min-height 0.6s ease-in-out;
}


body.scrolled .e-con-full.sticky-header::before {
  background: #ffffff;
}



.elementor-29 .elementor-element.elementor-element-bd8bb64 img {
    width: 80px;
	transition: width 0.6s ease-in-out;
}

body.scrolled .helesta-logo img
{
  width:60px !important;
  transition: width 0.6s ease-in-out;
}


body.scrolled.elementor-page-26 #menu-1-0ebf33d a.hfe-menu-item{color:#000;}
 

body .current_page_item > a.hfe-menu-item {
    color: #F6B800 !important;
}


.hfe-nav-menu ul li.current-menu-item > a {
  font-weight: 400;
}


.hfe-nav-menu ul li.current-menu-parent > a {
  font-weight: 400;
}


#right_bottom_icon img {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index:1;
}

.page-id-26 .elementor-icon-list-text{color:#fff;}
 
 
body.scrolled.page-id-26 .elementor-icon-list-text {
  color: #000;
}
 

.elementor-icon-list-item.elementor-inline-item:last-child {
  margin-left: 0px !important;
}

 
 /*breadcum*/
 
 span.hfe-breadcrumbs-home-icon {
    margin-right: 2px;

}

@media (max-width: 1024px) and (min-width: 768px) {
.elementor-29 .elementor-element.elementor-element-9491df3 {
    --width: 90%;
}
	
		.hover-wrapper {

	min-height: 30vh !important;

}

/*header*/

.hfe-nav-menu li a{padding-left:75px !important;}


/*product*/

.wp-block-spacer{height:10px !important;}
	

}


@media (max-width: 767px) {
	
	/*header*/
.page-id-26 .elementor-29 .elementor-element.elementor-element-7e3ac0b .elementor-icon-list-text  {color:#fff;}	


body.scrolled.page-id-26 .elementor-icon-list-text {
  color: #000;
  
}

	
  .elementor-element-9491df3 {
    height: auto !important;
    min-height: unset !important;
    overflow: visible;
   
  }
	
	
	.hover-wrapper {

	min-height: 30vh !important;

}
	.content h3{font-size:16px;}
	
	.content p{font-size:14px !important;}
	
	.hover-zone .content .circle {
    height: 25px !important;
    width: 25px !important;
}
	
	body:not(.rtl) .elementor-26 .elementor-element.elementor-element-a445841 {
   left: 0px;
}
	
	
	.elementor-1305 .elementor-element.elementor-element-81cad48 {
    --min-height: auto !important;

}
	
	.elementor-26 .elementor-element.elementor-element-96f79f3 {
  
    display: none;
}
	
	.elementor-26 .elementor-element.elementor-element-4ef72de:not(.elementor-motion-effects-element-type-background), .elementor-26 .elementor-element.elementor-element-4ef72de > .elementor-motion-effects-container > .elementor-motion-effects-layer {

    display: none;
}
	.elementor-26 .elementor-element.elementor-element-a2ec7dc:not(.elementor-motion-effects-element-type-background), .elementor-26 .elementor-element.elementor-element-a2ec7dc > .elementor-motion-effects-container > .elementor-motion-effects-layer {

    display: none;
}
	
	/*contact form*/
	
	  .cf7-grid.two-col {
    grid-template-columns: 1fr;
  }
  
  /*product*/
  
  .wooproduct-container{width:100% !important;  padding: 50px 0px !important;}
  
  .wooproduct-container h4 {

    width: 95% !important;

}
  
.wooproduct-container h3 {

    font-size: 20px !important;
    padding: 0px 15px;
}


	.wc-block-product-template.wc-block-product-template {
    grid-template-columns: 1fr 1fr !important;
}


.wp-block-cover .wp-block-cover__inner-container, .wp-block-cover-image .wp-block-cover__inner-container {

    display: flex;
    justify-content: center;
}


.wp-block-spacer{height:10px !important;}
	
}



.elementor-1393 .elementor-element.elementor-element-d0d26d8 {
   --spacer-size: 0px;
 
}

.hover-wrapper {
  display: flex;
  position: relative;
  width: 100%;
  justify-content:center;
	min-height: 80vh;
  overflow: hidden;
}
 
.bg-img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
   object-fit: contain;
  object-position: center center;
	min-height: 100%;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.6s cubic-bezier(0.4, 0, 0.2, 1);
}
 
.bg-main {
  opacity: 1;
}
 
.hover-zone {
  position: relative;
  flex: 1;
  z-index: 2;
  overflow: hidden;
  transition: flex 0.7s cubic-bezier(0.4, 0, 0.2, 1);
  cursor: pointer;
}
.hover-zone .content,
.hover-zone .content * {
  margin: 0 !important;
 
}

.hover-zone .content {
  gap: 10px !important;
	 transform: translateY(20px);
	transition: transform 0.4s ease, opacity 0.4s ease;

}

.hover-zone:hover .content {
  transform: translateY(0);
}

.hover-zone .content .circle {

    height: 50px;
    width: 50px;

}

.hover-zone.center {
  border-left: 1px solid #fff;
  border-right: 1px solid #fff;
}
 
.hover-wrapper:hover .hover-zone {
  flex: 0.5;
}
 
.hover-zone img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 0.45s ease  transform 0.8s cubic-bezier(0.4, 0, 0.2, 1);
}
 
.hover-zone:hover img {
  opacity: 1;
  transform: scale(1.05);
}
 
.content {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.55);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  opacity: 0;
  transition: opacity 0.45s ease-in-out;
  font-size: 18px;
  font-family: 'Playfair Display';
  font-style: italic;
  border-bottom: 30px solid #0E6B31;

}
 
.content p{font-size:23px; font-weight:900; font-family: "Inter", sans-serif; font-style: normal; background:#0E6B31;}

.content a{color:#fff; padding-top:25px !important;}


.hover-zone:hover .content {
  opacity: 1;
}
 
.hover-wrapper:has(.hover-zone.center:hover) .bg-main {
  opacity: 0;
}
.hover-wrapper:has(.hover-zone.center:hover) .bg-center {
  opacity: 1;
}
 
.hover-wrapper:has(.hover-zone.right:hover) .bg-main {
  opacity: 0;
}
.hover-wrapper:has(.hover-zone.right:hover) .bg-right {
  opacity: 1;
}

.need-features{display:none; opacity: 0; transition: opacity 0.3s ease;}

.need-features.show {
opacity: 1;
display: grid !important;
}

.form-features{display:none; opacity: 0; transition: opacity 0.3s ease;}

.form-features.show {
 opacity: 1;
  display: grid !important;
   
}


.wpcf7 form {
  max-width: 820px;
}

.wpcf7 label {
  display: block;
  font-size: 15px !important;
  font-weight: 900 !important;
  color: #417b43 !important;
  margin-bottom: 6px;
  text-transform: uppercase;
 
}

.wpcf7 label .star{color:red;}

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 select,
.wpcf7 textarea {
  width: 100% !important;
  padding: 14px 16px !important;
  border: 1px solid #1b5e20 !important;
  border-radius: 8px !important;
  font-size: 16px !important;
  background: #fff !important;
  box-sizing: border-box !important;
}

/* Placeholder */
.wpcf7 ::placeholder {
  color: #9e9e9e !important;
  
}

/* Grid layout */
.cf7-grid {
  display: grid !important;
  gap: 20px !important;
  margin-bottom: 22px !important;
}

.cf7-grid.two-col {
  grid-template-columns: 1fr 1fr !important;
}

.cf7-grid.one-col {
  grid-template-columns: 1fr !important;
}

.wpcf7 p {
  margin: 0 !important;
}

.wpcf7-list-item-label {  
  font-weight:400 !important;
  text-transform: capitalize !important; line-height:25px !important; font-size:15px; color:#000;
}

/* Submit button */
.wpcf7 input[type="submit"] {
  background: #f5b400 !important;
  color: #000 !important;
  border: none !important;
  padding: 14px 32px !important;
  font-size: 14px !important;
  border-radius: 6px !important;
  cursor: pointer !important;
  margin-top:20px
}

.wpcf7 input[type="submit"]:hover {
  background: #e0a800 !important;
}



@media (min-width: 1025px) {
  body.elementor-page-26 #menu-1-0ebf33d a.hfe-menu-item {
    color: #fff;
  }
  
  .is-layout-constrained > .alignwide {
    max-width:85%;
}

}

									 
#masthead .elementor-element-0b15151, .elementor-element-0b15151 {
box-shadow: 0 4px 6px -4px rgba(0, 0, 0, 0.2);
}
.wp-block-woocommerce-product-image-gallery span.onsale
{
  display: none;
}


										  
										  
/*single product*/


.wp-site-blocks{padding-top:0px;}

.woocommerce div.product div.images .flex-control-thumbs {
 
    margin-top: 40px;
	gap: 20px;
    display: flex;
   
}

.woocommerce ul.products li.product .wp-block-button__link,
.woocommerce .wp-block-button__link.wp-element-button {
    background-color: #f6b400 !important; /* same yellow */
    color: #000 !important;
    padding: 12px 24px !important;
    border-radius: 6px !important;
    font-size: 14px !important;
    font-weight: 600 !important;
    text-transform: uppercase !important;
    line-height: 1.2;
    width: 70%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    box-shadow: none !important;
    border: none !important;
}

/* Hover state — same as Add to Cart */
.woocommerce ul.products li.product .wp-block-button__link:hover {
    background-color: #000 !important;
    color: #fff !important;
}

.wc-block-product-template.is-flex-container.is-flex-container.columns-5>li {
    width: calc(20% - 1em);
    background: #f8f8f8;
    padding-bottom: 20px;
}


.wp-block-query-title{display:none;}

.wp-block-post-title { color:#F6B800; font-weight:800;}


.woocommerce div.product form.cart div.quantity .qty {
    margin-right: 1.5em;
}

.woocommerce div.product form.cart div.quantity {

    height: 45px;
	border-radius: 5px;
}

.woocommerce div.product form.cart button.single_add_to_cart_button, .woocommerce div.product form.cart button[name=add-to-cart] 
{

    padding: 11px 28px;
	color: #000;
    background:#F6B800;
	font-weight:600;
	border-radius: 5px;
}

.wp-block-column-is-layout-flow h5{font-size:40px !important;}


.wooproduct-container{background: rgba(0, 0, 0, 0.5); text-align:center; padding:50px;  width:60%;}

.wooproduct-container h3{
	
	color: #fff; font-size:35px;
    
}

.wooproduct-container h4{line-height:1.5em; width: 80%; margin: auto; color: #fff;}

.wc-block-product-template.wc-block-product-template {
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.wc-block-product-template__responsive>li {
    margin-block-start: 0;
    background: #f8f8f8;
    padding-bottom:20px;
	 border-radius: 15px 15px 0px 0px;
}


.wc-block-components-product-image a {
border-radius: 15px 15px 0px 0px;
   
}

.wc-block-components-product-image a {
  overflow: hidden; 

}

.wc-block-components-product-image a img {
  transition: transform 0.8s ease;
}


.wc-block-components-product-image a:hover img {
  transform: scale(1.1);
  transition: transform 0.6s ease, opacity 0.5s ease;
      filter: grayscale(100%);


} 


.read-more-button a {
  font-size: 0; 
}

.read-more-button a::after {
  content: "Read More";
  font-size: 16px;
  display: inline-block;
  padding: 10px 24px;
	color: #000;
    background:#F6B800;
  border-radius: 4px;

}

.read-more-button a:hover::after {
  background: #000;
  color: #F6B800;
}

/* Center the Read More button */
.read-more-button {
    text-align: center;
	margin:0px;
	font-weight:700;
}

.read-more-button a {
    display: inline-block;
}
